package client.gui.container;

import client.Client;
import common.inventory.ContainerChest;
import common.inventory.IInventory;

public class GuiChest extends GuiContainer {
	private final IInventory upper;
	private final IInventory lower;

	public GuiChest(IInventory upper, IInventory lower) {
		super(new ContainerChest(upper, lower, Client.CLIENT.player));
		this.upper = upper;
		this.lower = lower;
		int i = 222;
		int j = i - 108;
		this.ySize = j + (lower.getSizeInventory() / 9) * 18;
	}

	public void addElements() {
		this.label(this.lower.getCommandName(), 8, 6);
		this.label(this.upper.getCommandName(), 8, this.ySize - 96 + 2);
	}
}
